#include <machine.h>
#include <3048fone.h>
#include "spi.h"
#include "h8_3048fone.h"


/*  vector 28 IMIA1*/
#pragma asm
    .SECTION    MYVEC, DATA, LOCATE=H'000070
    .ORG        H'000070  ;IMIA1
    .DATA.L     _INT_IMIA1
    .SECTION    P,CODE,ALIGN=2 ;YĂ͂Ȃ
#pragma endasm

#pragma interrupt (INT_IMIA1)

void INT_IMIA1(void)
{
	clearTimer1Flag();
	set_imask_ccr(0);
	SPI_TimerWork();
}

/*  vector 44 DEND0A*/
#pragma asm
    .SECTION    MYVEC2, DATA, LOCATE=H'0000B0
    .ORG        H'0000B0  ;DEND0A
    .DATA.L     _INT_DEND0A
    .SECTION    P,CODE,ALIGN=2 ;YĂ͂Ȃ
#pragma endasm

#pragma interrupt (INT_DEND0A)

void INT_DEND0A(void)
{
	SCIforSPI.SCR.BIT.TIE= 0 ;     /* SCIM荞݋֎~*/
	DMAC0A.DTCR.BIT.DTIE = 0;      /* DEND荞݋֎~ */
	DMAC0A.DTCR.BIT.DTE=0;
}

/*  vector 53 RXI0*/
#pragma asm
    .SECTION    MYVEC3, DATA, LOCATE=H'0000D4
    .ORG        H'0000D4  ;RXI0
    .DATA.L     _INT_RXI0
    .SECTION    P,CODE,ALIGN=2 ;YĂ͂Ȃ
#pragma endasm

#pragma interrupt (INT_RXI0)

void INT_RXI0(void)
{
	turnOnLed(2);
}

/*  vector 54 TXI0*/
#pragma asm
    .SECTION    MYVEC4, DATA, LOCATE=H'0000D8
    .ORG        H'0000D8  ;TXI0
    .DATA.L     _INT_TXI0
    .SECTION    P,CODE,ALIGN=2 ;YĂ͂Ȃ
#pragma endasm

#pragma interrupt (INT_TXI0)

void INT_TXI0(void)
{
	turnOnLed(1);
}
